Welcome to the Oculus Developer Forums!

Your participation on the forum is subject to the Oculus Code of Conduct.

In general, please be respectful and kind. If you violate the Oculus Code of Conduct, your access to the developer forums may be revoked at the discretion of Oculus staff.

How to disable support for Gear VR?

Hy. Im a developer on a vr application that uses oculus. Currently we support the devices Gear VR and the Oculus GO. 
But after the update of the oculus sdk we want to disable the support for the Gear. In the settings of the app (In oculus) I desellected all the mobile phones under the Gear but when I upload a new build it still cries about test compatibility for gear vr. What did I miss?
Tagged:

Comments

  • robertcoomberrobertcoomber Posts: 11
    NerveGear
    edited December 2019
    I am running into the same issue. I'm building for only the Go and I am getting the GearVR compatibility Oculus SDK 1.41 test fail. I have deselected GearVR in the supported devices tab in the app specifications page. I have also re-uploaded the build with those settings before starting the upload and I am still getting the Oculus SDK 1.41 compatibility failure. I am not sure what else is needed.
  • adi.gonen.14adi.gonen.14 Posts: 6
    Brain Burst
    Anyone? I'm really stuck on this one. I tried everything robertcoomber tried and when it failed I rolled back to 1.40. But not only I don't want to be stuck in a old version, it broke stuff. any way to fix this with the oculus 12 version? 
  • nurecasnurecas Posts: 2
    NerveGear
    Still waiting for this issue to be resolved. Any luck anyone?
  • adi.gonen.14adi.gonen.14 Posts: 6
    Brain Burst
    Hi guys, i'm updating that even with the error the build is uploading and the update is pushed to the Go. The Go need to be updated, and i recommend to uninstall and reinstall. So for now it's good enough for me.
  • Ohanl6onOhanl6on Posts: 5
    NerveGear
    I have also re-uploaded the build with those settings before starting the upload and I am still getting the Oculus SDK compatibility failure.
  • nurecasnurecas Posts: 2
    NerveGear
    Hi @NinjaGG

    This is the thread stating the same issue that I mailed you about. Tried uploading to Go and GearVR - Go has no compatibility issues, but GearVR throws this error. 
    Unity 2019.2.17f1
    Unity Integration 12
    Latest update in the Go device

    The app shows up in the Oculus Go device but shows as incompatible.

    Please tell how to proceed. Already tried generating a new AndroidManifest within the Unity editor by clicking on Oculus -> Tools -> Create store-compatible AndroidManifest.xml.
    Attaching a screenshot of the error for your reference.

    Regards
    Fabin

  • samuraifictionsamuraifiction Posts: 3
    NerveGear
    some news on that? I have the same problem :/
  • Ohanl6onOhanl6on Posts: 5
    NerveGear
    I have also re-uploaded the build with those settings before starting the upload and I am still getting the Oculus SDK compatibility failure.
  • Ohanl6onOhanl6on Posts: 5
    NerveGear
    I have also re-uploaded the build with those settings before starting the upload and I am still getting the Oculus SDK compatibility failure.
  • Ohanl6onOhanl6on Posts: 5
    NerveGear
    I have also re-uploaded the build with those settings before starting the upload and I am still getting the Oculus SDK compatibility failure.
  • Ohanl6onOhanl6on Posts: 5
    NerveGear
    Thanks for sharing.
  • BrianGPSBrianGPS Posts: 1
    NerveGear
    Experiencing the same issue. Ensured that my Supported Devices (in dashboard) only indicated Go (I have no interest in building for Gear VR).
    Repinging @NinjaGG
    Thanks!

  • NinjaGGNinjaGG Posts: 252 Oculus Staff
    Thanks for the info, everyone. We're digging into this now - will update once I get an update.
    If you need immediate help or want additional support/context on an issue you are having with our platform or integrations:

    1. Gather any and all logs, screenshots, and version numbers of relevant software (Oculus SDK, engine, etc.)
    2. Please submit a ticket here (include what you've gathered in step 1).
    3. Tag me @NinjaGaijin once you have done so!
  • guwahati.planetariumguwahati.planetarium Posts: 1
    NerveGear
    Hi Everyone,
    For the longest time I thought it was the issue with GearVR support. I found it was because I didn't add my email ID as a user in the channel, although I was an admin (which is weird). This thread helped:
    https://forums.oculusvr.com/developer/discussion/80383/not-compatible-incompatible-oculus-go-build-resolved
    Hope this helps you all also.
    -
    Fab
Sign In or Register to comment.